# Robot assembly

This file contains assembly instructions for building the robots and soldering the electronics.

## Components

The robot consists of the following components:
* [Adafruit Mini 3-Layer Round Robot Chassis Kit](https://www.adafruit.com/product/3244)
* [Wemos D1 mini](https://aliexpi.com/41SY)
* [Wemos D1 mini battery shield](https://aliexpi.com/sNwB)
* [Wemos D1 mini motor shield (v1.0.0)](https://aliexpi.com/wngF)
* LiPo battery

In addition you will need the following tools:
* A soldering iron
* Solder wire
* Heat shrink tube
* Some wires
* Battery connectors (female)
* Velcro tape
* Self adhesive tape
* Isolation tape
* Pin headers

For the camera based position detection of the robots you will need:
* A camera
* A printer
* Paper
* Cardboard

## Assembly instructions

#### Robot chassis
Assemble the chassis according to the instructions provided by adafruit ([see here](https://learn.adafruit.com/tri-layer-mini-round-robot-chassis-kit)).

### Soldering the electronics
1. Solder on two rows of 8 male pin headers to the D1 mini
![alt text](https://imaginaerraum.de/git/Telos4/RoboRally/raw/branch/master/docs/images/d1_mini_pins.jpg "")

2. Solder on two rows of 8 female pin headers to the battery shield

3. Solder on two rows of 8 female pin headers to the motor shield as well as a single row of bent pins. Make sure they are soldered on the right way around.
4. In addition solder a jumper to the motor shield to connect the RTS and 3V pin. This will become important later on. Also solder the I2C bridge.
    
 - Note: 
3. Connect the + pin of the connector from the battery shield to the + pin of the motor shield. 

For this cut some small piece of wire and remove the isolation on both ends. then twist the ends and put some solder on both ends. Cut a piece of isolation and wrap it around the wire. Make sure you do this before soldering on the second end of the wire.
After this is done, repeat the same with the - connection. Please make sure that you do not reverse the polarity!


